Method: inventorySourceGroups.assignedInventorySources.bulkEdit

広告在庫ソースと 1 つの広告在庫ソースグループ間の複数の割り当てを一括編集します。

このオペレーションでは、BulkEditAssignedInventorySourcesRequest.deleted_assigned_inventory_sources で指定された割り当て済みの広告枠ソースを削除してから、BulkEditAssignedInventorySourcesRequest.created_assigned_inventory_sources で指定された割り当て済みの広告枠ソースを作成します。

HTTP リクエスト

POST https://displayvideo.googleapis.com/v5/inventorySourceGroups/{inventorySourceGroupId}/assignedInventorySources:bulkEdit

この URL は gRPC Transcoding 構文を使用します。

パスパラメータ

パラメータ
inventorySourceGroupId

string (int64 format)

必須。割り当てが割り当てられている広告在庫ソース グループの ID。

リクエストの本文

リクエストの本文には、次の構造のデータが含まれます。

JSON 表現
{
  "deletedAssignedInventorySources": [
    string
  ],
  "createdAssignedInventorySources": [
    {
      object (AssignedInventorySource)
    }
  ],

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "partnerId": string,
  "advertiserId": string
  // End of mutually exclusive fields.
}
フィールド
deletedAssignedInventorySources[]

string (int64 format)

一括削除する割り当て済み広告枠ソースの ID。assigned_inventory_source_ids のリストとして指定します。

createdAssignedInventorySources[]

object (AssignedInventorySource)

一括作成する割り当て済みの広告在庫ソース。AssignedInventorySources のリストとして指定します。

必須。親広告在庫ソースグループを所有するディスプレイ&ビデオ 360 エンティティを識別します。パートナーまたは広告主のいずれかです。相互に排他的なフィールドのリストは次のとおりです。レスポンスに設定されるフィールドは、最大 1 つです。
partnerId

string (int64 format)

広告在庫ソース グループを所有するパートナーの ID。

このパートナーのみが、割り当てられた広告在庫ソースへの書き込みアクセス権を持ちます。

advertiserId

string (int64 format)

親広告在庫ソース グループを所有する広告主の ID。

親パートナーには、これらの割り当てられた広告在庫ソースへのアクセス権がありません。

相互に排他的なフィールドの終了。

レスポンスの本文

AssignedInventorySourceService.BulkEdit のレスポンス メッセージ。

成功した場合、レスポンスの本文には次の構造のデータが含まれます。

JSON 表現
{
  "assignedInventorySources": [
    {
      object (AssignedInventorySource)
    }
  ]
}
フィールド
assignedInventorySources[]

object (AssignedInventorySource)

正常に作成された、割り当て済みの広告在庫ソースのリスト。

このリストが空の場合、このリストは存在しません。

認可スコープ

次の OAuth スコープが必要です。

  • https://www.googleapis.com/auth/display-video

詳細については、OAuth 2.0 Overview をご覧ください。